$(document).ready(function() {
   $(".remo-file-report-link").click(function() {
      $.post(CCM_TOOLS_PATH + "/../packages/remo_file_report/get_data/", {action: $(this).attr("data-action")}, function(data) {
         // select the correct renderer to print the data
         switch (data.data.renderer) {
            case "table":
               var rowHeader = "";
               var tableBody = "";
               var rowHeaderPrinted = false;
               
               // loop through all rows
               for (var rowKey in data.data.tableData) {
                  var rowData = data.data.tableData[rowKey];
               
                  tableBody += "<tr>";
                  
                  // loop through all columns
                  for (var colKey in rowData) {
                     if (!rowHeaderPrinted) {
                        rowHeader += "<th>" + colKey.replace('_',' ') + "</th>"; 
                     }
							
                     tableBody += "<td>" + rowData[colKey] + "</td>";
                  }
                  tableBody += "</tr>";
                  
                  rowHeaderPrinted = true;
               }
					
               // put generated markup in DIV
               $("#remo-file-report-content").html("<table><tr>" + rowHeader + "</tr>" + tableBody + "</table>");
               
               break;
            default:
               alert("Unsupported rendered: " + data.data.renderer);
         }
      }, "json")
   });
});